%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-jacc-1.4-api
Version:        1.0.2
Release:        %mkrel 15
Group:          Development/Java
Summary:        JBoss JACC 1.4 API
License:        CDDL or GPLv2 with exceptions
URL:            https://www.jboss.org

# git clone git://github.com/jboss/jboss-jacc-api_spec.git jboss-jacc-1.4-api
# cd jboss-jacc-1.4-api/ && git archive --format=tar --prefix=jboss-jacc-1.4-api/ jboss-jacc-api_1.4_spec-1.0.2.Final | xz > jboss-jacc-1.4-api-1.0.2.Final.tar.xz

Source0:        %{name}-%{namedversion}.tar.xz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)

BuildArch:      noarch

%description
JBoss Java Authorization Contract for Containers 1.4 API.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%mvn_file : %{name}/%{name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE README



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-15.mga9
+ Revision: 1827292
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.0.2-14.mga8
+ Revision: 1490834
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.2-13.mga7
+ Revision: 1262434
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.2-11.mga6
+ Revision: 976530
- First rebuild of the java stack
- sync package jboss-jacc-1.4-api with fedora
- imported package jboss-jacc-1.4-api

* Wed Jan 14 2015 pterjan <pterjan> 1.0.2-7.mga5
+ Revision: 810588
- Update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 743628
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.2-4.mga4
+ Revision: 559755
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 355001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 341448
- New version

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132753
- Fix buildrequires
- Fix buildrequires
+ gil <gil>
- imported package jboss-jacc-1.4-api

